/**
 * 用户登录请求数据结构
 */
export interface UserLoginRequest {
  mobilePhone: string;
  password: string;
  type: number;
}

export interface CurrentUser {
  id: number;
  token: string;
  expirationTime: string;
  truename: string;
  [index: string]: any;
}

export interface CreateUser {
  username?: string;
  password: string;
  truename?: string;
  email: string;
  sex: number;
  userType: number;
  mobile: string;
  position: string;
}
export interface Users {
  id: number;
  username?: string;
  password: string;
  truename?: string;
  email: string;
  sex: number;
  mobile: string;
  position: string;
  isDisable: number;
}
